Bug 1127703 - GPU Lockup Ring 0 Elitebook 745 G2, AMD A10 PRO-7350B R6
Summary: GPU Lockup Ring 0 Elitebook 745 G2, AMD A10 PRO-7350B R6
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:30 UTC by Alexander Lindqvist
Modified: 2015-06-29 21:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:53 UTC


Attachments (Terms of Use)

Description Alexander Lindqvist 2014-08-07 11:30:08 UTC
Description of problem:
Random hangs. Often when shutdown has been initiated from Gnome. Desktop freezes instead of transition to fedora logo during shutdown.

Version-Release number of selected component (if applicable):
3.15.7-200.fc20.x86_64

How reproducible:
Very random. Can work for hours. Often during shutdown.

Steps to Reproduce:
1.
2.
3.

Actual results:
GPU lockup

Expected results:
No GPU hang.

Additional info:

HP Elitebook 745 G2

# cat /var/log/messages

Aug  7 09:20:21 alex kernel: [63720.241882] radeon 0000:00:01.0: ring 0 stalled for more than 28556msec
Aug  7 09:20:21 alex kernel: [63720.241969] radeon 0000:00:01.0: GPU lockup (waiting for 0x00000000000ec347 last fence id 0x00000000000ec346 on ring 0)
Aug  7 09:20:21 alex kernel: [63720.241980] radeon 0000:00:01.0: failed to get a new IB (-35)
Aug  7 09:20:21 alex kernel: [63720.242041] [drm:radeon_cs_ib_fill] *ERROR* Failed to get ib !
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0: ring 0 stalled for more than 28556msec
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0: GPU lockup (waiting for 0x00000000000ec347 last fence id 0x00000000000ec346 on ring 0)
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0: failed to get a new IB (-35)
Aug  7 09:20:21 alex kernel: [drm:radeon_cs_ib_fill] *ERROR* Failed to get ib !
Aug  7 09:20:21 alex kernel: [63720.291670] radeon 0000:00:01.0: Saved 4817 dwords of commands on ring 0.
Aug  7 09:20:21 alex kernel: [63720.291691] radeon 0000:00:01.0: GPU softreset: 0x0000030C
Aug  7 09:20:21 alex kernel: [63720.291732] radeon 0000:00:01.0:   GRBM_STATUS=0xA0003028
Aug  7 09:20:21 alex kernel: [63720.291738] radeon 0000:00:01.0:   GRBM_STATUS2=0x10000008
Aug  7 09:20:21 alex kernel: [63720.291743] radeon 0000:00:01.0:   GRBM_STATUS_SE0=0x00000006
Aug  7 09:20:21 alex kernel: [63720.291749] radeon 0000:00:01.0:   GRBM_STATUS_SE1=0x00000006
Aug  7 09:20:21 alex kernel: [63720.291754] radeon 0000:00:01.0:   GRBM_STATUS_SE2=0x00000006
Aug  7 09:20:21 alex kernel: [63720.291758] radeon 0000:00:01.0:   GRBM_STATUS_SE3=0x00000006
Aug  7 09:20:21 alex kernel: [63720.291763] radeon 0000:00:01.0:   SRBM_STATUS=0x20020740
Aug  7 09:20:21 alex kernel: [63720.291769] radeon 0000:00:01.0:   SRBM_STATUS2=0x00000020
Aug  7 09:20:21 alex kernel: [63720.291775] radeon 0000:00:01.0:   SDMA0_STATUS_REG   = 0x74CED246
Aug  7 09:20:21 alex kernel: [63720.291780] radeon 0000:00:01.0:   SDMA1_STATUS_REG   = 0x46CEED57
Aug  7 09:20:21 alex kernel: [63720.291784] radeon 0000:00:01.0:   CP_STAT = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291789] radeon 0000:00:01.0:   CP_STALLED_STAT1 = 0x00000c00
Aug  7 09:20:21 alex kernel: [63720.291794] radeon 0000:00:01.0:   CP_STALLED_STAT2 = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291810] radeon 0000:00:01.0:   CP_STALLED_STAT3 = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291826] radeon 0000:00:01.0:   CP_CPF_BUSY_STAT = 0x00000282
Aug  7 09:20:21 alex kernel: [63720.291841] radeon 0000:00:01.0:   CP_CPF_STALLED_STAT1 = 0x00000001
Aug  7 09:20:21 alex kernel: [63720.291856] radeon 0000:00:01.0:   CP_CPF_STATUS = 0x80000007
Aug  7 09:20:21 alex kernel: [63720.291867] radeon 0000:00:01.0:   CP_CPC_BUSY_STAT = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291872] radeon 0000:00:01.0:   CP_CPC_STALLED_STAT1 = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291876] radeon 0000:00:01.0:   CP_CPC_STATUS = 0x00000000
Aug  7 09:20:21 alex kernel: [63720.291881] radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00000000
Aug  7 09:20:21 alex kernel: [63720.291886] radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0: Saved 4817 dwords of commands on ring 0.
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0: GPU softreset: 0x0000030C
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS=0xA0003028
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS2=0x10000008
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE0=0x00000006
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE1=0x00000006
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE2=0x00000006
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE3=0x00000006
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   SRBM_STATUS=0x20020740
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   SRBM_STATUS2=0x00000020
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   SDMA0_STATUS_REG   = 0x74CED246
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   SDMA1_STATUS_REG   = 0x46CEED57
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_STAT = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT1 = 0x00000c00
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT2 = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT3 = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPF_BUSY_STAT = 0x00000282
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPF_STALLED_STAT1 = 0x00000001
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPF_STATUS = 0x80000007
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPC_BUSY_STAT = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPC_STALLED_STAT1 = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   CP_CPC_STATUS = 0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00000000
Aug  7 09:20:21 alex kernel: radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x00000000
Aug  7 09:20:22 alex kernel: [63720.645917] radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: [63720.645930] radeon 0000:00:01.0: GRBM_SOFT_RESET=0x00010001
Aug  7 09:20:22 alex kernel: [63720.645988] radeon 0000:00:01.0: SRBM_SOFT_RESET=0x00120500
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: GRBM_SOFT_RESET=0x00010001
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: SRBM_SOFT_RESET=0x00120500
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS=0x00003028
Aug  7 09:20:22 alex kernel: [63720.647161] radeon 0000:00:01.0:   GRBM_STATUS=0x00003028
Aug  7 09:20:22 alex kernel: [63720.647167] radeon 0000:00:01.0:   GRBM_STATUS2=0x00000008
Aug  7 09:20:22 alex kernel: [63720.647172] radeon 0000:00:01.0:   GRBM_STATUS_SE0=0x00000006
Aug  7 09:20:22 alex kernel: [63720.647177] radeon 0000:00:01.0:   GRBM_STATUS_SE1=0x00000006
Aug  7 09:20:22 alex kernel: [63720.647182] radeon 0000:00:01.0:   GRBM_STATUS_SE2=0x00000006
Aug  7 09:20:22 alex kernel: [63720.647186] radeon 0000:00:01.0:   GRBM_STATUS_SE3=0x00000006
Aug  7 09:20:22 alex kernel: [63720.647191] radeon 0000:00:01.0:   SRBM_STATUS=0x20000640
Aug  7 09:20:22 alex kernel: [63720.647196] radeon 0000:00:01.0:   SRBM_STATUS2=0x00000000
Aug  7 09:20:22 alex kernel: [63720.647201] radeon 0000:00:01.0:   SDMA0_STATUS_REG   = 0x46CEE557
Aug  7 09:20:22 alex kernel: [63720.647206] radeon 0000:00:01.0:   SDMA1_STATUS_REG   = 0x46CEED57
Aug  7 09:20:22 alex kernel: [63720.647210] radeon 0000:00:01.0:   CP_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647215] radeon 0000:00:01.0:   CP_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647219] radeon 0000:00:01.0:   CP_STALLED_STAT2 = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647223] radeon 0000:00:01.0:   CP_STALLED_STAT3 = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647228] radeon 0000:00:01.0:   CP_CPF_BUSY_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647232] radeon 0000:00:01.0:   CP_CPF_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647236] radeon 0000:00:01.0:   CP_CPF_STATUS = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647240] radeon 0000:00:01.0:   CP_CPC_BUSY_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647245] radeon 0000:00:01.0:   CP_CPC_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647249] radeon 0000:00:01.0:   CP_CPC_STATUS = 0x00000000
Aug  7 09:20:22 alex kernel: [63720.647267] radeon 0000:00:01.0: GPU reset succeeded, trying to resume
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS2=0x00000008
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE0=0x00000006
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE1=0x00000006
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE2=0x00000006
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   GRBM_STATUS_SE3=0x00000006
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   SRBM_STATUS=0x20000640
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   SRBM_STATUS2=0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   SDMA0_STATUS_REG   = 0x46CEE557
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   SDMA1_STATUS_REG   = 0x46CEED57
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT2 = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_STALLED_STAT3 = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPF_BUSY_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPF_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPF_STATUS = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPC_BUSY_STAT = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPC_STALLED_STAT1 = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0:   CP_CPC_STATUS = 0x00000000
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: GPU reset succeeded, trying to resume
Aug  7 09:20:22 alex kernel: [63721.015507] radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: [63721.197987] radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: Wait for MC idle timedout !
Aug  7 09:20:22 alex kernel: [63721.203333] [drm] PCIE GART of 1024M enabled (table at 0x000000000078B000).
Aug  7 09:20:22 alex kernel: [63721.203669] radeon 0000:00:01.0: WB enabled
Aug  7 09:20:22 alex kernel: [drm] PCIE GART of 1024M enabled (table at 0x000000000078B000).
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: WB enabled
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 0 use gpu addr 0x0000000040000c00 and cpu addr 0xffff8804259a3c00
Aug  7 09:20:22 alex kernel: [63721.203747] radeon 0000:00:01.0: fence driver on ring 0 use gpu addr 0x0000000040000c00 and cpu addr 0xffff8804259a3c00
Aug  7 09:20:22 alex kernel: [63721.203752] radeon 0000:00:01.0: fence driver on ring 1 use gpu addr 0x0000000040000c04 and cpu addr 0xffff8804259a3c04
Aug  7 09:20:22 alex kernel: [63721.203755] radeon 0000:00:01.0: fence driver on ring 2 use gpu addr 0x0000000040000c08 and cpu addr 0xffff8804259a3c08
Aug  7 09:20:22 alex kernel: [63721.203759] radeon 0000:00:01.0: fence driver on ring 3 use gpu addr 0x0000000040000c0c and cpu addr 0xffff8804259a3c0c
Aug  7 09:20:22 alex kernel: [63721.203762] radeon 0000:00:01.0: fence driver on ring 4 use gpu addr 0x0000000040000c10 and cpu addr 0xffff8804259a3c10
Aug  7 09:20:22 alex kernel: [63721.204469] radeon 0000:00:01.0: fence driver on ring 5 use gpu addr 0x0000000000076c98 and cpu addr 0xffffc90011d36c98
Aug  7 09:20:22 alex kernel: [63721.204568] radeon 0000:00:01.0: fence driver on ring 6 use gpu addr 0x0000000040000c18 and cpu addr 0xffff8804259a3c18
Aug  7 09:20:22 alex kernel: [63721.204579] radeon 0000:00:01.0: fence driver on ring 7 use gpu addr 0x0000000040000c1c and cpu addr 0xffff8804259a3c1c
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 1 use gpu addr 0x0000000040000c04 and cpu addr 0xffff8804259a3c04
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 2 use gpu addr 0x0000000040000c08 and cpu addr 0xffff8804259a3c08
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 3 use gpu addr 0x0000000040000c0c and cpu addr 0xffff8804259a3c0c
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 4 use gpu addr 0x0000000040000c10 and cpu addr 0xffff8804259a3c10
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 5 use gpu addr 0x0000000000076c98 and cpu addr 0xffffc90011d36c98
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 6 use gpu addr 0x0000000040000c18 and cpu addr 0xffff8804259a3c18
Aug  7 09:20:22 alex kernel: radeon 0000:00:01.0: fence driver on ring 7 use gpu addr 0x0000000040000c1c and cpu addr 0xffff8804259a3c1c
Aug  7 09:20:22 alex kernel: [63721.206930] [drm] ring test on 0 succeeded in 3 usecs
Aug  7 09:20:22 alex kernel: [drm] ring test on 0 succeeded in 3 usecs
Aug  7 09:20:23 alex kernel: [63721.392816] [drm:cik_ring_test] *ERROR* radeon: ring 1 test failed (scratch(0x3010C)=0xCAFEDEAD)
Aug  7 09:20:23 alex kernel: [63721.393076] [drm] ring test on 3 succeeded in 2 usecs
Aug  7 09:20:23 alex kernel: [63721.393110] [drm] ring test on 4 succeeded in 2 usecs
Aug  7 09:20:23 alex kernel: [drm:cik_ring_test] *ERROR* radeon: ring 1 test failed (scratch(0x3010C)=0xCAFEDEAD)

Comment 1 Alexander Lindqvist 2014-08-11 16:02:11 UTC
Same problem in 3.15.8-200.fc20.x86_64

Comment 2 Fedora End Of Life 2015-05-29 12:34:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:57:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.